; Register Declarations for 80517 Processor

; CPU registers

ACC     DATA  0E0H
B       DATA  0F0H
DPL     DATA  082H
DPH     DATA  083H
DPSEL	DATA  092H
PSW     DATA  0D0H
SP      DATA  081H

; MUL/DIV unit

ARCON	DATA  0EFH
MD0	DATA  0E9H
MD1	DATA  0EAH
MD2	DATA  0EBH
MD3	DATA  0ECH
MD4	DATA  0EDH
MD5	DATA  0EEH

; Interrupt system

IE      DATA  0A8H
IEN0    DATA  0A8H
IEN1    DATA  0B8H
IEN2	DATA  09AH
IP0     DATA  0A9H
IP1     DATA  0B9H
IRCON	DATA  0C0H
IRCON0	DATA  0C0H
IRCON1	DATA  0C1H

; Ports

P0      DATA  080H
P1      DATA  090H
P2      DATA  0A0H
P3      DATA  0B0H
P4      DATA  0E8H
P5      DATA  0F8H
P6	DATA  0FAH
P7	DATA  0DBH
P8	DATA  0DDH

; Power control

PCON    DATA  087H

; Timer 0 and 1

TCON	DATA  088H
TMOD    DATA  089H
TL0     DATA  08AH
TH0     DATA  08CH
TL1     DATA  08BH
TH1     DATA  08DH

; Compare/Capture Unit

CCEN	DATA  0C1H	; Compare/Capture
CC4EN	DATA  0C9H
CRCL	DATA  0CAH	; Com./Rel./Capt. register
CRCH	DATA  0CBH	; P1.0/CC0
CCL1	DATA  0C2H	; P1.1/CC1
CCH1	DATA  0C3H
CCL2	DATA  0C4H	; P1.2/CC2
CCH2	DATA  0C5H
CCL3	DATA  0C6H	; P1.3/CC3
CCH3	DATA  0C7H
CCL4	DATA  0CEH	; P1.4/CC4 + P5.x/CCM.x
CCH4	DATA  0CFH
CMEN	DATA  0F6H	; Compare
CML0	DATA  0D2H	; P4.0/CM0
CMH0	DATA  0D3H
CML1	DATA  0D4H	; P4.1/CM1
CMH1	DATA  0D5H
CML2	DATA  0D6H	; P4.2/CM2
CMH2	DATA  0D7H
CML3	DATA  0E2H	; P4.3/CM3
CMH3	DATA  0E3H
CML4	DATA  0E4H	; P4.4/CM4
CMH4	DATA  0E5H
CML5	DATA  0E6H	; P4.5/CM5
CMH5	DATA  0E7H
CML6	DATA  0F2H	; P4.6/CM6
CMH6	DATA  0F3H
CML7	DATA  0F4H	; P4.7/CM7
CMH7	DATA  0F5H
CMSEL	DATA  0F7H	; Compare input select
CTCON   DATA  0E1H	; Comp. timer ctrl
CTRELL	DATA  0DEH	; Comp. timer reload register
CTRELH	DATA  0DFH
T2CON	DATA  0C8H
TL2	DATA  0CCH
TH2	DATA  0CDH
SETMSK	DATA  0A5H	; 517A only
CLRMSK	DATA  0A6H	; 517A only
COMSETL	DATA  0A1H	; P5.x/CCM.x
COMSETH	DATA  0A2H
COMCLRL	DATA  0A3H	; P5.x/CCM.x
COMCLRH	DATA  0A4H

; Watchdog

WDTREL	DATA  086H

; AD converter

ADCON0	DATA  0D8H
ADCON1	DATA  0DCH
ADDAT	DATA  0D9H
ADDATH	DATA  0D9H	; 517A only
ADDATL	DATA  0DAH	; 517A only
DAPR	DATA  0DAH

; Serial Channels

SBUF    DATA  099H
S0BUF   DATA  099H
SCON    DATA  098H
S0CON   DATA  098H
S0RELL	DATA  0AAH
S0RELH	DATA  0BAH

S1BUF	DATA  09CH
S1CON	DATA  09BH
S1REL	DATA  09DH
S1RELL	DATA  09DH
S1RELH	DATA  0BBH

; BIT Register
; PSW
CY      BIT   0D7H
AC      BIT   0D6H
F0      BIT   0D5H
RS1     BIT   0D4H
RS0     BIT   0D3H
OV      BIT   0D2H
F1      BIT   0D1H
P       BIT   0D0H

; TCON
TF1     BIT   08FH
TR1     BIT   08EH
TF0     BIT   08DH
TR0     BIT   08CH
IE1     BIT   08BH
IT1     BIT   08AH
IE0     BIT   089H
IT0     BIT   088H

; IEN0
EA      BIT   0AFH
WDT     BIT   0AEH
ET2     BIT   0ADH
ES0     BIT   0ACH
ES      BIT   0ACH
ET1     BIT   0ABH
EX1     BIT   0AAH
ET0     BIT   0A9H
EX0     BIT   0A8H

; IEN1
EXEN2   BIT   0BFH
SWDT    BIT   0BEH
EX6     BIT   0BDH
EX5     BIT   0BCH
EX4     BIT   0BBH
EX3     BIT   0BAH
EX2     BIT   0B9H
EADC    BIT   0B8H

; P3
RD      BIT   0B7H
WR      BIT   0B6H
T1      BIT   0B5H
T0      BIT   0B4H
INT1    BIT   0B3H
INT0    BIT   0B2H
TXD     BIT   0B1H
RXD     BIT   0B0H

; SCON

SM0     BIT   09FH
SM1     BIT   09EH
SM2     BIT   09DH
REN     BIT   09CH
TB8     BIT   09BH
RB8     BIT   09AH
TI      BIT   099H
RI      BIT   098H

; IRCON

EXF2    BIT   0C7H
TF2     BIT   0C6H
IEX6    BIT   0C5H
IEX5    BIT   0C4H
IEX4    BIT   0C3H
IEX3    BIT   0C2H
IEX2    BIT   0C1H
IADC    BIT   0C0H

; T2CON

T2PS    BIT   0CFH
I3FR    BIT   0CEH
I2FR    BIT   0CDH
T2R1    BIT   0CCH
T2R0    BIT   0CBH
T2CM    BIT   0CAH
T2I1    BIT   0C9H
T2I0    BIT   0C8H

; ADCON0

BD      BIT   0DFH
CLK     BIT   0DEH
ADEX    BIT   0DDH
BSY     BIT   0DCH
ADM     BIT   0DBH
MX2     BIT   0DAH
MX1     BIT   0D9H
MX0     BIT   0D8H

; INT adresses

ADCINT  CODE  00043H
S0INT	CODE  00023H
S1INT	CODE  00083H